Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Class TriggerFiredBundle

    java.lang.Object
      org.quartz.spi.TriggerFiredBundle

All Implemented Interfaces:
  Serializable

    public class TriggerFiredBundle

extends Object
implements Serializable

A simple class (structure) used for returning execution-time data from the JobStore to the `QuartzSchedulerThread`.

Author:
  James House
See Also:
  `QuartzSchedulerThread`, Serialized Form

Constructor Summary
`TriggerFiredBundle(JobDetail job, OperableTrigger trigger, Calendar cal, boolean jobIsRecovering, Date fireTime, Date scheduledFireTime, Date prevFireTime, Date nextFireTime)`

Method Summary
`Calendar` | `getCalendar()`
`Date` | `getFireTime()`
`JobDetail` | `getJobDetail()`
`Date` | `getNextFireTime()`
`Date` | `getPrevFireTime()`
`Date` | `getScheduledFireTime()`
`OperableTrigger` | `getTrigger()`
`boolean` | `isRecovering()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerFiredBundle

    public TriggerFiredBundle(JobDetail job,
                              OperableTrigger trigger,
                              Calendar cal,
                              boolean jobIsRecovering,
                              Date fireTime,
                              Date scheduledFireTime,
                              Date prevFireTime,
                              Date nextFireTime)

Method Detail

### getJobDetail

    public JobDetail getJobDetail()

### getTrigger

    public OperableTrigger getTrigger()

### getCalendar

    public Calendar getCalendar()

### isRecovering

    public boolean isRecovering()

### getFireTime

    public Date getFireTime()

  Returns:
    Returns the fireTime.

### getNextFireTime

    public Date getNextFireTime()

  Returns:
    Returns the nextFireTime.

### getPrevFireTime

    public Date getPrevFireTime()

  Returns:
    Returns the prevFireTime.

### getScheduledFireTime

    public Date getScheduledFireTime()

  Returns:
    Returns the scheduledFireTime.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.